Chapter 50. ReportConfigurationService


50.1. CountReportConfigurations

GET /v1/report-configurations-count

CountReportConfigurations returns the number of report configurations.

50.1.1. Description

50.1.2. Parameters

50.1.2.1. Query Parameters

Expand
NameDescriptionRequiredDefaultPattern

query

 

-

null

 

pagination.limit

 

-

null

 

pagination.offset

 

-

null

 

pagination.sortOption.field

 

-

null

 

pagination.sortOption.reversed

 

-

null

 

pagination.sortOption.aggregateBy.aggrFunc

 

-

UNSET

 

pagination.sortOption.aggregateBy.distinct

 

-

null

 

50.1.3. Return Type

V1CountReportConfigurationsResponse

50.1.4. Content Type

  • application/json

50.1.5. Responses

Expand
Table 50.1. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1CountReportConfigurationsResponse

0

An unexpected error response.

RuntimeError

50.1.6. Samples

50.1.7. Common object reference

50.1.7.1. ProtobufAny

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
  ...
}

Example 2: Pack and unpack a message in Java.

Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
  foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
  foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
  any.Unpack(foo)
  ...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
  ...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
  ...
}

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

50.1.7.1.1. JSON representation

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile;
message Person {
  string first_name = 1;
  string last_name = 2;
}
{
  "@type": "type.googleapis.com/google.profile.Person",
  "firstName": <string>,
  "lastName": <string>
}

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

{
  "@type": "type.googleapis.com/google.protobuf.Duration",
  "value": "1.212s"
}
Expand
Field NameRequiredNullableTypeDescriptionFormat

typeUrl

  

String

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading \".\" is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: * If no scheme is provided, https is assumed. * An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. * Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

 

value

  

byte[]

Must be a valid serialized protocol buffer of the above specified type.

byte

50.1.7.2. RuntimeError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

code

  

Integer

 

int32

message

  

String

  

details

  

List of ProtobufAny

  

50.1.7.3. V1CountReportConfigurationsResponse

Expand
Field NameRequiredNullableTypeDescriptionFormat

count

  

Integer

 

int32

50.2. GetReportConfigurations

GET /v1/report/configurations

50.2.1. Description

50.2.2. Parameters

50.2.2.1. Query Parameters

Expand
NameDescriptionRequiredDefaultPattern

query

 

-

null

 

pagination.limit

 

-

null

 

pagination.offset

 

-

null

 

pagination.sortOption.field

 

-

null

 

pagination.sortOption.reversed

 

-

null

 

pagination.sortOption.aggregateBy.aggrFunc

 

-

UNSET

 

pagination.sortOption.aggregateBy.distinct

 

-

null

 

50.2.3. Return Type

V1GetReportConfigurationsResponse

50.2.4. Content Type

  • application/json

50.2.5. Responses

Expand
Table 50.2. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1GetReportConfigurationsResponse

0

An unexpected error response.

RuntimeError

50.2.6. Samples

50.2.7. Common object reference

50.2.7.1. ProtobufAny

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
  ...
}

Example 2: Pack and unpack a message in Java.

Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
  foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
  foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
  any.Unpack(foo)
  ...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
  ...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
  ...
}

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

50.2.7.1.1. JSON representation

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile;
message Person {
  string first_name = 1;
  string last_name = 2;
}
{
  "@type": "type.googleapis.com/google.profile.Person",
  "firstName": <string>,
  "lastName": <string>
}

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

{
  "@type": "type.googleapis.com/google.protobuf.Duration",
  "value": "1.212s"
}
Expand
Field NameRequiredNullableTypeDescriptionFormat

typeUrl

  

String

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading \".\" is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: * If no scheme is provided, https is assumed. * An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. * Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

 

value

  

byte[]

Must be a valid serialized protocol buffer of the above specified type.

byte

50.2.7.2. ReportConfigurationReportType

Expand
Enum Values

VULNERABILITY

50.2.7.3. ReportLastRunStatusRunStatus

Expand
Enum Values

SUCCESS

FAILURE

50.2.7.4. RuntimeError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

code

  

Integer

 

int32

message

  

String

  

details

  

List of ProtobufAny

  

50.2.7.5. ScheduleDaysOfMonth

1 for 1st, 2 for 2nd .... 31 for 31st
Expand
Field NameRequiredNullableTypeDescriptionFormat

days

  

List of integer

 

int32

50.2.7.6. ScheduleDaysOfWeek

Sunday = 0, Monday = 1, .... Saturday =  6
Expand
Field NameRequiredNullableTypeDescriptionFormat

days

  

List of integer

 

int32

50.2.7.7. ScheduleIntervalType

Expand
Enum Values

UNSET

DAILY

WEEKLY

MONTHLY

50.2.7.8. ScheduleWeeklyInterval

Expand
Field NameRequiredNullableTypeDescriptionFormat

day

  

Integer

 

int32

50.2.7.9. SimpleAccessScopeRules

Each element of any repeated field is an individual rule. Rules are joined by logical OR: if there exists a rule allowing resource x, x is in the access scope.

Expand
Field NameRequiredNullableTypeDescriptionFormat

includedClusters

  

List of string

  

includedNamespaces

  

List of SimpleAccessScopeRulesNamespace

  

clusterLabelSelectors

  

List of StorageSetBasedLabelSelector

  

namespaceLabelSelectors

  

List of StorageSetBasedLabelSelector

  

50.2.7.10. SimpleAccessScopeRulesNamespace

Expand
Field NameRequiredNullableTypeDescriptionFormat

clusterName

  

String

Both fields must be set.

 

namespaceName

  

String

  

50.2.7.11. StorageEmailNotifierConfiguration

Expand
Field NameRequiredNullableTypeDescriptionFormat

notifierId

  

String

  

mailingLists

  

List of string

  

customSubject

  

String

  

customBody

  

String

  

50.2.7.12. StorageNotifierConfiguration

Expand
Field NameRequiredNullableTypeDescriptionFormat

emailConfig

  

StorageEmailNotifierConfiguration

  

id

  

String

  

50.2.7.13. StorageReportConfiguration

Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

  

name

  

String

  

description

  

String

  

type

  

ReportConfigurationReportType

 

VULNERABILITY,

vulnReportFilters

  

StorageVulnerabilityReportFilters

  

scopeId

  

String

  

emailConfig

  

StorageEmailNotifierConfiguration

  

schedule

  

StorageSchedule

  

lastRunStatus

  

StorageReportLastRunStatus

  

lastSuccessfulRunTime

  

Date

 

date-time

resourceScope

  

StorageResourceScope

  

notifiers

  

List of StorageNotifierConfiguration

  

creator

  

StorageSlimUser

  

version

  

Integer

 

int32

50.2.7.14. StorageReportLastRunStatus

Expand
Field NameRequiredNullableTypeDescriptionFormat

reportStatus

  

ReportLastRunStatusRunStatus

 

SUCCESS, FAILURE,

lastRunTime

  

Date

 

date-time

errorMsg

  

String

  

50.2.7.15. StorageResourceScope

Expand
Field NameRequiredNullableTypeDescriptionFormat

collectionId

  

String

  

50.2.7.16. StorageSchedule

Expand
Field NameRequiredNullableTypeDescriptionFormat

intervalType

  

ScheduleIntervalType

 

UNSET, DAILY, WEEKLY, MONTHLY,

hour

  

Integer

 

int32

minute

  

Integer

 

int32

weekly

  

ScheduleWeeklyInterval

  

daysOfWeek

  

ScheduleDaysOfWeek

  

daysOfMonth

  

ScheduleDaysOfMonth

  

50.2.7.17. StorageSetBasedLabelSelector

SetBasedLabelSelector only allows set-based label requirements.

Next available tag: 3

Expand
Field NameRequiredNullableTypeDescriptionFormat

requirements

  

List of StorageSetBasedLabelSelectorRequirement

  

50.2.7.18. StorageSetBasedLabelSelectorOperator

Expand
Enum Values

UNKNOWN

IN

NOT_IN

EXISTS

NOT_EXISTS

50.2.7.19. StorageSetBasedLabelSelectorRequirement

Next available tag: 4
Expand
Field NameRequiredNullableTypeDescriptionFormat

key

  

String

  

op

  

StorageSetBasedLabelSelectorOperator

 

UNKNOWN, IN, NOT_IN, EXISTS, NOT_EXISTS,

values

  

List of string

  

50.2.7.20. StorageSlimUser

Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

  

name

  

String

  

50.2.7.21. StorageVulnerabilityReportFilters

Expand
Field NameRequiredNullableTypeDescriptionFormat

fixability

  

VulnerabilityReportFiltersFixability

 

BOTH, FIXABLE, NOT_FIXABLE,

sinceLastReport

  

Boolean

  

severities

  

List of StorageVulnerabilitySeverity

  

imageTypes

  

List of VulnerabilityReportFiltersImageType

  

allVuln

  

Boolean

  

sinceLastSentScheduledReport

  

Boolean

  

sinceStartDate

  

Date

 

date-time

accessScopeRules

  

List of SimpleAccessScopeRules

  

50.2.7.22. StorageVulnerabilitySeverity

Expand
Enum Values

UNKNOWN_VULNERABILITY_SEVERITY

LOW_VULNERABILITY_SEVERITY

MODERATE_VULNERABILITY_SEVERITY

IMPORTANT_VULNERABILITY_SEVERITY

CRITICAL_VULNERABILITY_SEVERITY

50.2.7.23. V1GetReportConfigurationsResponse

Expand
Field NameRequiredNullableTypeDescriptionFormat

reportConfigs

  

List of StorageReportConfiguration

  

50.2.7.24. VulnerabilityReportFiltersFixability

Expand
Enum Values

BOTH

FIXABLE

NOT_FIXABLE

50.2.7.25. VulnerabilityReportFiltersImageType

Expand
Enum Values

DEPLOYED

WATCHED

50.3. DeleteReportConfiguration

DELETE /v1/report/configurations/{id}

DeleteReportConfiguration removes a report configuration given its id

50.3.1. Description

50.3.2. Parameters

50.3.2.1. Path Parameters

Expand
NameDescriptionRequiredDefaultPattern

id

 

X

null

 

50.3.3. Return Type

Object

50.3.4. Content Type

  • application/json

50.3.5. Responses

Expand
Table 50.3. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

Object

0

An unexpected error response.

RuntimeError

50.3.6. Samples

50.3.7. Common object reference

50.3.7.1. ProtobufAny

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
  ...
}

Example 2: Pack and unpack a message in Java.

Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
  foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
  foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
  any.Unpack(foo)
  ...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
  ...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
  ...
}

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

50.3.7.1.1. JSON representation

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile;
message Person {
  string first_name = 1;
  string last_name = 2;
}
{
  "@type": "type.googleapis.com/google.profile.Person",
  "firstName": <string>,
  "lastName": <string>
}

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

{
  "@type": "type.googleapis.com/google.protobuf.Duration",
  "value": "1.212s"
}
Expand
Field NameRequiredNullableTypeDescriptionFormat

typeUrl

  

String

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading \".\" is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: * If no scheme is provided, https is assumed. * An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. * Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

 

value

  

byte[]

Must be a valid serialized protocol buffer of the above specified type.

byte

50.3.7.2. RuntimeError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

code

  

Integer

 

int32

message

  

String

  

details

  

List of ProtobufAny

  

50.4. GetReportConfiguration

GET /v1/report/configurations/{id}

50.4.1. Description

50.4.2. Parameters

50.4.2.1. Path Parameters

Expand
NameDescriptionRequiredDefaultPattern

id

 

X

null

 

50.4.3. Return Type

V1GetReportConfigurationResponse

50.4.4. Content Type

  • application/json

50.4.5. Responses

Expand
Table 50.4. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1GetReportConfigurationResponse

0

An unexpected error response.

RuntimeError

50.4.6. Samples

50.4.7. Common object reference

50.4.7.1. ProtobufAny

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
  ...
}

Example 2: Pack and unpack a message in Java.

Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
  foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
  foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
  any.Unpack(foo)
  ...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
  ...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
  ...
}

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

50.4.7.1.1. JSON representation

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile;
message Person {
  string first_name = 1;
  string last_name = 2;
}
{
  "@type": "type.googleapis.com/google.profile.Person",
  "firstName": <string>,
  "lastName": <string>
}

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

{
  "@type": "type.googleapis.com/google.protobuf.Duration",
  "value": "1.212s"
}
Expand
Field NameRequiredNullableTypeDescriptionFormat

typeUrl

  

String

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading \".\" is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: * If no scheme is provided, https is assumed. * An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. * Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

 

value

  

byte[]

Must be a valid serialized protocol buffer of the above specified type.

byte

50.4.7.2. ReportConfigurationReportType

Expand
Enum Values

VULNERABILITY

50.4.7.3. ReportLastRunStatusRunStatus

Expand
Enum Values

SUCCESS

FAILURE

50.4.7.4. RuntimeError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

code

  

Integer

 

int32

message

  

String

  

details

  

List of ProtobufAny

  

50.4.7.5. ScheduleDaysOfMonth

1 for 1st, 2 for 2nd .... 31 for 31st
Expand
Field NameRequiredNullableTypeDescriptionFormat

days

  

List of integer

 

int32

50.4.7.6. ScheduleDaysOfWeek

Sunday = 0, Monday = 1, .... Saturday =  6
Expand
Field NameRequiredNullableTypeDescriptionFormat

days

  

List of integer

 

int32

50.4.7.7. ScheduleIntervalType

Expand
Enum Values

UNSET

DAILY

WEEKLY

MONTHLY

50.4.7.8. ScheduleWeeklyInterval

Expand
Field NameRequiredNullableTypeDescriptionFormat

day

  

Integer

 

int32

50.4.7.9. SimpleAccessScopeRules

Each element of any repeated field is an individual rule. Rules are joined by logical OR: if there exists a rule allowing resource x, x is in the access scope.

Expand
Field NameRequiredNullableTypeDescriptionFormat

includedClusters

  

List of string

  

includedNamespaces

  

List of SimpleAccessScopeRulesNamespace

  

clusterLabelSelectors

  

List of StorageSetBasedLabelSelector

  

namespaceLabelSelectors

  

List of StorageSetBasedLabelSelector

  

50.4.7.10. SimpleAccessScopeRulesNamespace

Expand
Field NameRequiredNullableTypeDescriptionFormat

clusterName

  

String

Both fields must be set.

 

namespaceName

  

String

  

50.4.7.11. StorageEmailNotifierConfiguration

Expand
Field NameRequiredNullableTypeDescriptionFormat

notifierId

  

String

  

mailingLists

  

List of string

  

customSubject

  

String

  

customBody

  

String

  

50.4.7.12. StorageNotifierConfiguration

Expand
Field NameRequiredNullableTypeDescriptionFormat

emailConfig

  

StorageEmailNotifierConfiguration

  

id

  

String

  

50.4.7.13. StorageReportConfiguration

Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

  

name

  

String

  

description

  

String

  

type

  

ReportConfigurationReportType

 

VULNERABILITY,

vulnReportFilters

  

StorageVulnerabilityReportFilters

  

scopeId

  

String

  

emailConfig

  

StorageEmailNotifierConfiguration

  

schedule

  

StorageSchedule

  

lastRunStatus

  

StorageReportLastRunStatus

  

lastSuccessfulRunTime

  

Date

 

date-time

resourceScope

  

StorageResourceScope

  

notifiers

  

List of StorageNotifierConfiguration

  

creator

  

StorageSlimUser

  

version

  

Integer

 

int32

50.4.7.14. StorageReportLastRunStatus

Expand
Field NameRequiredNullableTypeDescriptionFormat

reportStatus

  

ReportLastRunStatusRunStatus

 

SUCCESS, FAILURE,

lastRunTime

  

Date

 

date-time

errorMsg

  

String

  

50.4.7.15. StorageResourceScope

Expand
Field NameRequiredNullableTypeDescriptionFormat

collectionId

  

String

  

50.4.7.16. StorageSchedule

Expand
Field NameRequiredNullableTypeDescriptionFormat

intervalType

  

ScheduleIntervalType

 

UNSET, DAILY, WEEKLY, MONTHLY,

hour

  

Integer

 

int32

minute

  

Integer

 

int32

weekly

  

ScheduleWeeklyInterval

  

daysOfWeek

  

ScheduleDaysOfWeek

  

daysOfMonth

  

ScheduleDaysOfMonth

  

50.4.7.17. StorageSetBasedLabelSelector

SetBasedLabelSelector only allows set-based label requirements.

Next available tag: 3

Expand
Field NameRequiredNullableTypeDescriptionFormat

requirements

  

List of StorageSetBasedLabelSelectorRequirement

  

50.4.7.18. StorageSetBasedLabelSelectorOperator

Expand
Enum Values

UNKNOWN

IN

NOT_IN

EXISTS

NOT_EXISTS

50.4.7.19. StorageSetBasedLabelSelectorRequirement

Next available tag: 4
Expand
Field NameRequiredNullableTypeDescriptionFormat

key

  

String

  

op

  

StorageSetBasedLabelSelectorOperator

 

UNKNOWN, IN, NOT_IN, EXISTS, NOT_EXISTS,

values

  

List of string

  

50.4.7.20. StorageSlimUser

Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

  

name

  

String

  

50.4.7.21. StorageVulnerabilityReportFilters

Expand
Field NameRequiredNullableTypeDescriptionFormat

fixability

  

VulnerabilityReportFiltersFixability

 

BOTH, FIXABLE, NOT_FIXABLE,

sinceLastReport

  

Boolean

  

severities

  

List of StorageVulnerabilitySeverity

  

imageTypes

  

List of VulnerabilityReportFiltersImageType

  

allVuln

  

Boolean

  

sinceLastSentScheduledReport

  

Boolean

  

sinceStartDate

  

Date

 

date-time

accessScopeRules

  

List of SimpleAccessScopeRules

  

50.4.7.22. StorageVulnerabilitySeverity

Expand
Enum Values

UNKNOWN_VULNERABILITY_SEVERITY

LOW_VULNERABILITY_SEVERITY

MODERATE_VULNERABILITY_SEVERITY

IMPORTANT_VULNERABILITY_SEVERITY

CRITICAL_VULNERABILITY_SEVERITY

50.4.7.23. V1GetReportConfigurationResponse

Expand
Field NameRequiredNullableTypeDescriptionFormat

reportConfig

  

StorageReportConfiguration

  

50.4.7.24. VulnerabilityReportFiltersFixability

Expand
Enum Values

BOTH

FIXABLE

NOT_FIXABLE

50.4.7.25. VulnerabilityReportFiltersImageType

Expand
Enum Values

DEPLOYED

WATCHED

50.5. UpdateReportConfiguration

PUT /v1/report/configurations/{id}

UpdateReportConfiguration updates a report configuration

50.5.1. Description

50.5.2. Parameters

50.5.2.1. Path Parameters

Expand
NameDescriptionRequiredDefaultPattern

id

 

X

null

 

50.5.2.2. Body Parameter

Expand
NameDescriptionRequiredDefaultPattern

body

V1UpdateReportConfigurationRequest

X

  

50.5.3. Return Type

Object

50.5.4. Content Type

  • application/json

50.5.5. Responses

Expand
Table 50.5. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

Object

0

An unexpected error response.

RuntimeError

50.5.6. Samples

50.5.7. Common object reference

50.5.7.1. ProtobufAny

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
  ...
}

Example 2: Pack and unpack a message in Java.

Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
  foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
  foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
  any.Unpack(foo)
  ...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
  ...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
  ...
}

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

50.5.7.1.1. JSON representation

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile;
message Person {
  string first_name = 1;
  string last_name = 2;
}
{
  "@type": "type.googleapis.com/google.profile.Person",
  "firstName": <string>,
  "lastName": <string>
}

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

{
  "@type": "type.googleapis.com/google.protobuf.Duration",
  "value": "1.212s"
}
Expand
Field NameRequiredNullableTypeDescriptionFormat

typeUrl

  

String

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading \".\" is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: * If no scheme is provided, https is assumed. * An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. * Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

 

value

  

byte[]

Must be a valid serialized protocol buffer of the above specified type.

byte

50.5.7.2. ReportConfigurationReportType

Expand
Enum Values

VULNERABILITY

50.5.7.3. ReportLastRunStatusRunStatus

Expand
Enum Values

SUCCESS

FAILURE

50.5.7.4. RuntimeError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

code

  

Integer

 

int32

message

  

String

  

details

  

List of ProtobufAny

  

50.5.7.5. ScheduleDaysOfMonth

1 for 1st, 2 for 2nd .... 31 for 31st
Expand
Field NameRequiredNullableTypeDescriptionFormat

days

  

List of integer

 

int32

50.5.7.6. ScheduleDaysOfWeek

Sunday = 0, Monday = 1, .... Saturday =  6
Expand
Field NameRequiredNullableTypeDescriptionFormat

days

  

List of integer

 

int32

50.5.7.7. ScheduleIntervalType

Expand
Enum Values

UNSET

DAILY

WEEKLY

MONTHLY

50.5.7.8. ScheduleWeeklyInterval

Expand
Field NameRequiredNullableTypeDescriptionFormat

day

  

Integer

 

int32

50.5.7.9. SimpleAccessScopeRules

Each element of any repeated field is an individual rule. Rules are joined by logical OR: if there exists a rule allowing resource x, x is in the access scope.

Expand
Field NameRequiredNullableTypeDescriptionFormat

includedClusters

  

List of string

  

includedNamespaces

  

List of SimpleAccessScopeRulesNamespace

  

clusterLabelSelectors

  

List of StorageSetBasedLabelSelector

  

namespaceLabelSelectors

  

List of StorageSetBasedLabelSelector

  

50.5.7.10. SimpleAccessScopeRulesNamespace

Expand
Field NameRequiredNullableTypeDescriptionFormat

clusterName

  

String

Both fields must be set.

 

namespaceName

  

String

  

50.5.7.11. StorageEmailNotifierConfiguration

Expand
Field NameRequiredNullableTypeDescriptionFormat

notifierId

  

String

  

mailingLists

  

List of string

  

customSubject

  

String

  

customBody

  

String

  

50.5.7.12. StorageNotifierConfiguration

Expand
Field NameRequiredNullableTypeDescriptionFormat

emailConfig

  

StorageEmailNotifierConfiguration

  

id

  

String

  

50.5.7.13. StorageReportConfiguration

Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

  

name

  

String

  

description

  

String

  

type

  

ReportConfigurationReportType

 

VULNERABILITY,

vulnReportFilters

  

StorageVulnerabilityReportFilters

  

scopeId

  

String

  

emailConfig

  

StorageEmailNotifierConfiguration

  

schedule

  

StorageSchedule

  

lastRunStatus

  

StorageReportLastRunStatus

  

lastSuccessfulRunTime

  

Date

 

date-time

resourceScope

  

StorageResourceScope

  

notifiers

  

List of StorageNotifierConfiguration

  

creator

  

StorageSlimUser

  

version

  

Integer

 

int32

50.5.7.14. StorageReportLastRunStatus

Expand
Field NameRequiredNullableTypeDescriptionFormat

reportStatus

  

ReportLastRunStatusRunStatus

 

SUCCESS, FAILURE,

lastRunTime

  

Date

 

date-time

errorMsg

  

String

  

50.5.7.15. StorageResourceScope

Expand
Field NameRequiredNullableTypeDescriptionFormat

collectionId

  

String

  

50.5.7.16. StorageSchedule

Expand
Field NameRequiredNullableTypeDescriptionFormat

intervalType

  

ScheduleIntervalType

 

UNSET, DAILY, WEEKLY, MONTHLY,

hour

  

Integer

 

int32

minute

  

Integer

 

int32

weekly

  

ScheduleWeeklyInterval

  

daysOfWeek

  

ScheduleDaysOfWeek

  

daysOfMonth

  

ScheduleDaysOfMonth

  

50.5.7.17. StorageSetBasedLabelSelector

SetBasedLabelSelector only allows set-based label requirements.

Next available tag: 3

Expand
Field NameRequiredNullableTypeDescriptionFormat

requirements

  

List of StorageSetBasedLabelSelectorRequirement

  

50.5.7.18. StorageSetBasedLabelSelectorOperator

Expand
Enum Values

UNKNOWN

IN

NOT_IN

EXISTS

NOT_EXISTS

50.5.7.19. StorageSetBasedLabelSelectorRequirement

Next available tag: 4
Expand
Field NameRequiredNullableTypeDescriptionFormat

key

  

String

  

op

  

StorageSetBasedLabelSelectorOperator

 

UNKNOWN, IN, NOT_IN, EXISTS, NOT_EXISTS,

values

  

List of string

  

50.5.7.20. StorageSlimUser

Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

  

name

  

String

  

50.5.7.21. StorageVulnerabilityReportFilters

Expand
Field NameRequiredNullableTypeDescriptionFormat

fixability

  

VulnerabilityReportFiltersFixability

 

BOTH, FIXABLE, NOT_FIXABLE,

sinceLastReport

  

Boolean

  

severities

  

List of StorageVulnerabilitySeverity

  

imageTypes

  

List of VulnerabilityReportFiltersImageType

  

allVuln

  

Boolean

  

sinceLastSentScheduledReport

  

Boolean

  

sinceStartDate

  

Date

 

date-time

accessScopeRules

  

List of SimpleAccessScopeRules

  

50.5.7.22. StorageVulnerabilitySeverity

Expand
Enum Values

UNKNOWN_VULNERABILITY_SEVERITY

LOW_VULNERABILITY_SEVERITY

MODERATE_VULNERABILITY_SEVERITY

IMPORTANT_VULNERABILITY_SEVERITY

CRITICAL_VULNERABILITY_SEVERITY

50.5.7.23. V1UpdateReportConfigurationRequest

Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

  

reportConfig

  

StorageReportConfiguration

  

50.5.7.24. VulnerabilityReportFiltersFixability

Expand
Enum Values

BOTH

FIXABLE

NOT_FIXABLE

50.5.7.25. VulnerabilityReportFiltersImageType

Expand
Enum Values

DEPLOYED

WATCHED

50.6. PostReportConfiguration

POST /v1/report/configurations

PostReportConfiguration creates a report configuration

50.6.1. Description

50.6.2. Parameters

50.6.2.1. Body Parameter

Expand
NameDescriptionRequiredDefaultPattern

body

V1PostReportConfigurationRequest

X

  

50.6.3. Return Type

V1PostReportConfigurationResponse

50.6.4. Content Type

  • application/json

50.6.5. Responses

Expand
Table 50.6. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1PostReportConfigurationResponse

0

An unexpected error response.

RuntimeError

50.6.6. Samples

50.6.7. Common object reference

50.6.7.1. ProtobufAny

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
  ...
}

Example 2: Pack and unpack a message in Java.

Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
  foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
  foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
  any.Unpack(foo)
  ...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
  ...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
  ...
}

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

50.6.7.1.1. JSON representation

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile;
message Person {
  string first_name = 1;
  string last_name = 2;
}
{
  "@type": "type.googleapis.com/google.profile.Person",
  "firstName": <string>,
  "lastName": <string>
}

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

{
  "@type": "type.googleapis.com/google.protobuf.Duration",
  "value": "1.212s"
}
Expand
Field NameRequiredNullableTypeDescriptionFormat

typeUrl

  

String

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading \".\" is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: * If no scheme is provided, https is assumed. * An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. * Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

 

value

  

byte[]

Must be a valid serialized protocol buffer of the above specified type.

byte

50.6.7.2. ReportConfigurationReportType

Expand
Enum Values

VULNERABILITY

50.6.7.3. ReportLastRunStatusRunStatus

Expand
Enum Values

SUCCESS

FAILURE

50.6.7.4. RuntimeError

Expand
Field NameRequiredNullableTypeDescriptionFormat

error

  

String

  

code

  

Integer

 

int32

message

  

String

  

details

  

List of ProtobufAny

  

50.6.7.5. ScheduleDaysOfMonth

1 for 1st, 2 for 2nd .... 31 for 31st
Expand
Field NameRequiredNullableTypeDescriptionFormat

days

  

List of integer

 

int32

50.6.7.6. ScheduleDaysOfWeek

Sunday = 0, Monday = 1, .... Saturday =  6
Expand
Field NameRequiredNullableTypeDescriptionFormat

days

  

List of integer

 

int32

50.6.7.7. ScheduleIntervalType

Expand
Enum Values

UNSET

DAILY

WEEKLY

MONTHLY

50.6.7.8. ScheduleWeeklyInterval

Expand
Field NameRequiredNullableTypeDescriptionFormat

day

  

Integer

 

int32

50.6.7.9. SimpleAccessScopeRules

Each element of any repeated field is an individual rule. Rules are joined by logical OR: if there exists a rule allowing resource x, x is in the access scope.

Expand
Field NameRequiredNullableTypeDescriptionFormat

includedClusters

  

List of string

  

includedNamespaces

  

List of SimpleAccessScopeRulesNamespace

  

clusterLabelSelectors

  

List of StorageSetBasedLabelSelector

  

namespaceLabelSelectors

  

List of StorageSetBasedLabelSelector

  

50.6.7.10. SimpleAccessScopeRulesNamespace

Expand
Field NameRequiredNullableTypeDescriptionFormat

clusterName

  

String

Both fields must be set.

 

namespaceName

  

String

  

50.6.7.11. StorageEmailNotifierConfiguration

Expand
Field NameRequiredNullableTypeDescriptionFormat

notifierId

  

String

  

mailingLists

  

List of string

  

customSubject

  

String

  

customBody

  

String

  

50.6.7.12. StorageNotifierConfiguration

Expand
Field NameRequiredNullableTypeDescriptionFormat

emailConfig

  

StorageEmailNotifierConfiguration

  

id

  

String

  

50.6.7.13. StorageReportConfiguration

Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

  

name

  

String

  

description

  

String

  

type

  

ReportConfigurationReportType

 

VULNERABILITY,

vulnReportFilters

  

StorageVulnerabilityReportFilters

  

scopeId

  

String

  

emailConfig

  

StorageEmailNotifierConfiguration

  

schedule

  

StorageSchedule

  

lastRunStatus

  

StorageReportLastRunStatus

  

lastSuccessfulRunTime

  

Date

 

date-time

resourceScope

  

StorageResourceScope

  

notifiers

  

List of StorageNotifierConfiguration

  

creator

  

StorageSlimUser

  

version

  

Integer

 

int32

50.6.7.14. StorageReportLastRunStatus

Expand
Field NameRequiredNullableTypeDescriptionFormat

reportStatus

  

ReportLastRunStatusRunStatus

 

SUCCESS, FAILURE,

lastRunTime

  

Date

 

date-time

errorMsg

  

String

  

50.6.7.15. StorageResourceScope

Expand
Field NameRequiredNullableTypeDescriptionFormat

collectionId

  

String

  

50.6.7.16. StorageSchedule

Expand
Field NameRequiredNullableTypeDescriptionFormat

intervalType

  

ScheduleIntervalType

 

UNSET, DAILY, WEEKLY, MONTHLY,

hour

  

Integer

 

int32

minute

  

Integer

 

int32

weekly

  

ScheduleWeeklyInterval

  

daysOfWeek

  

ScheduleDaysOfWeek

  

daysOfMonth

  

ScheduleDaysOfMonth

  

50.6.7.17. StorageSetBasedLabelSelector

SetBasedLabelSelector only allows set-based label requirements.

Next available tag: 3

Expand
Field NameRequiredNullableTypeDescriptionFormat

requirements

  

List of StorageSetBasedLabelSelectorRequirement

  

50.6.7.18. StorageSetBasedLabelSelectorOperator

Expand
Enum Values

UNKNOWN

IN

NOT_IN

EXISTS

NOT_EXISTS

50.6.7.19. StorageSetBasedLabelSelectorRequirement

Next available tag: 4
Expand
Field NameRequiredNullableTypeDescriptionFormat

key

  

String

  

op

  

StorageSetBasedLabelSelectorOperator

 

UNKNOWN, IN, NOT_IN, EXISTS, NOT_EXISTS,

values

  

List of string

  

50.6.7.20. StorageSlimUser

Expand
Field NameRequiredNullableTypeDescriptionFormat

id

  

String

  

name

  

String

  

50.6.7.21. StorageVulnerabilityReportFilters

Expand
Field NameRequiredNullableTypeDescriptionFormat

fixability

  

VulnerabilityReportFiltersFixability

 

BOTH, FIXABLE, NOT_FIXABLE,

sinceLastReport

  

Boolean

  

severities

  

List of StorageVulnerabilitySeverity

  

imageTypes

  

List of VulnerabilityReportFiltersImageType

  

allVuln

  

Boolean

  

sinceLastSentScheduledReport

  

Boolean

  

sinceStartDate

  

Date

 

date-time

accessScopeRules

  

List of SimpleAccessScopeRules

  

50.6.7.22. StorageVulnerabilitySeverity

Expand
Enum Values

UNKNOWN_VULNERABILITY_SEVERITY

LOW_VULNERABILITY_SEVERITY

MODERATE_VULNERABILITY_SEVERITY

IMPORTANT_VULNERABILITY_SEVERITY

CRITICAL_VULNERABILITY_SEVERITY

50.6.7.23. V1PostReportConfigurationRequest

Expand
Field NameRequiredNullableTypeDescriptionFormat

reportConfig

  

StorageReportConfiguration

  

50.6.7.24. V1PostReportConfigurationResponse

Expand
Field NameRequiredNullableTypeDescriptionFormat

reportConfig

  

StorageReportConfiguration

  

50.6.7.25. VulnerabilityReportFiltersFixability

Expand
Enum Values

BOTH

FIXABLE

NOT_FIXABLE

50.6.7.26. VulnerabilityReportFiltersImageType

Expand
Enum Values

DEPLOYED

WATCHED

Red Hat logoGithubredditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat Documentation

Legal Notice

Theme

© 2026 Red Hat
Back to top